package be.iminds.ilabt.jfed.experimenter_gui.preferences;

import javafx.scene.Node;
import javafx.scene.control.Label;

public interface PreferencesSubPane {
    /** returns false if there is an error in the chosen settings that will prevent a save. */
    public boolean check();
    public boolean save();
    /** get the pane itself */
    public Node getRoot();

    public boolean isAdvanced();

    /** get a label that can be used in the list of subsections. */
    public Label getListLabel();
}
